import java.util.ArrayList;

/**
 * passenger of the flight
 */
public class Passenger {

    private String name;
    private String lastName;
    int ID;
    ArrayList<Ticket> tickets = null;

    /**
     * constructs a passenger
     *
     * @param name
     * @param lastName
     * @param ID
     */
    public Passenger(String name, String lastName, int ID) {
        this.name = name;
        this.lastName = lastName;
        this.ID = ID;
    }

    /**
     * reserves a ticket for this passenger
     *
     * @param flight
     * @param seat
     * @param hasFood
     * @param weight
     */
    public void reserve(Flight flight, Seat seat, Boolean hasFood, int weight) {
        Ticket ticket = new Ticket(seat.getNo(), flight.getNo(), weight, hasFood);
        this.tickets.add(ticket);
    }

    /**
     * returns passenger's tickets
     *
     * @return
     */
    public ArrayList<Ticket> getTickets() {
        return tickets;
    }
}
